<!DOCTYPE html>

<html lang="eng">
	<head>
	
	<script src="https://apis.google.com/js/platform.js" async defer></script>
	<meta name="google-signin-client_id" content="917896720047-sqmo7sqajoqatlu506qltagsa5gqa87n.apps.googleusercontent.com">
	<meta name="viewport" content="width=device-width" />
	<title>Login using Google</title> 
	
		<style> 
		html { 
            background: url(bg.jpg) no-repeat center fixed; 
            background-size: cover;
        }
        .header{
            color: black;
            font-family: monospace;
            font-size: 35 px;
            margin: 100 px;
        }
        .sign{
            
            font-family: monospace;
			font-size: 20 px;
            cursor: pointer;
            margin: 100 px;
        }
		.throwb{

            font-family: monospace;
            color: white;
        }
        </style>

	</head>
	
	<body>
	
		<a class="header"> Sign In Google Account </a>
		<div class="sign" data-onsuccess="onSignIn"></div>
	
		<a href="#" onclick="onSignIn();">Sign in</a>
		<div class="sign" data-onsuccess="onSignIn"></div>
	
		<script>
			function onSignIn(googleUser) {
			var profile = googleUser.getBasicProfile();
			console.log('ID: ' + profile.getId()); 
			console.log('Name: ' + profile.getName());
			console.log('Image URL: ' + profile.getImageUrl());
			console.log('Email: ' + profile.getEmail()); 
		
			var id_token = googleUser.getAuthResponse().id_token;
				console.log("ID Token: " + id_token);

				document.getElementById('throwb').innerHTML = '<br>' + 'Login as ' + profile.getName() + '</br>';
				document.getElementById('throwb').innerHTML = "<img src=" + profile.getImageUrl() + "><div>";
				document.getElementById('throwb').innerHTML = profile.getEmail() + "</div>";
		}
		</script>

		<a href="#" onclick="signOut();">Sign out</a>
	
		<script>
		function signOut() {
		var auth2 = gapi.auth2.getAuthInstance();
		auth2.signOut().then(function () {
			console.log('sign out complete.');
		});
		}
		</script>
	</body>


	
</html>

